#
# spec file for package python-six-doc
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-six-doc
Version:        1.11.0
Release:        lp151.4.3.1
Url:            http://pypi.python.org/pypi/six/
Summary:        Python 2 and 3 compatibility utilities
License:        MIT
Group:          Development/Libraries/Python
Source:         https://files.pythonhosted.org/packages/source/s/six/six-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{python_module six}
# require old python 2 explicitly to get the ssl module
BuildRequires:  python
# require only one version of Sphinx for now
BuildRequires:  python3-Sphinx
# Test requirements:
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module py}
BuildRequires:  python-rpm-macros
BuildArch:      noarch
Provides:       %{python_module six-doc = %{version}}

%description
Six is a Python 2 and 3 compatibility library. It provides utility
functions for smoothing over the differences between the Python
versions with the goal of writing Python code that is compatible on
both Python versions. See the documentation for more information on
what is provided.

%prep
%setup -q -n six-%{version}

%build
# due to cyclic requirements between Sphinx and six,
# documentation is build in its own package <hpj@urpla.net>
cd documentation && make html && rm _build/html/.buildinfo

%install
# only build documentation

# Run tests here to avoid dependency loop
%check
mkdir test
cp test_six.py test
pushd test
%python_exec %{_bindir}/py.test test_six.py
popd
rm -rf test

%files
%license LICENSE
%doc README.rst CHANGES documentation/_build/html

%changelog
* Thu Sep 28 2017 tbechtold@suse.com
- Fix Source url
* Sat Sep 23 2017 arun@gmx.de
- README->README.rst, add CHANGES
- update to version 1.11.0:
  * Pull request #178: `with_metaclass` now properly proxies
    `__prepare__` to the underlying metaclass.
  * Pull request #191: Allow `with_metaclass` to work with metaclasses
    implemented in C.
  * Pull request #203: Add parse_http_list and parse_keqv_list to
    moved urllib.request.
  * Pull request #172 and issue #171: Add unquote_to_bytes to moved
    urllib.parse.
  * Pull request #167: Add `six.moves.getoutput`.
  * Pull request #80: Add `six.moves.urllib_parse.splitvalue`.
  * Pull request #75: Add `six.moves.email_mime_image`.
  * Pull request #72: Avoid creating reference cycles through
    tracebacks in `reraise`.
* Thu Feb 23 2017 jmatejek@suse.com
- update for singlespec
- only use python3 version of Sphinx to build docs
- provide $flavor-doc for all pythons
* Tue Jan 19 2016 toddrme2178@gmail.com
- Run tests in -doc package to avoid dependency loops
  * python-setuptools -> python-six -> python-py -> python-setuptools
  * python-setuptools -> python-six -> python-pytest -> python-setuptools
- Actually run the tests.  They weren't previously being run.
* Fri Oct  9 2015 mcihar@suse.cz
- Update to 1.10.0:
  - Issue #122: Improve the performance of `six.int2byte` on Python 3.
  - Pull request #55 and issue #99: Don't add the `winreg` module to `six.moves`
    on non-Windows platforms.
  - Pull request #60 and issue #108: Add `six.moves.getcwd` and
    `six.moves.getcwdu`.
  - Pull request #64: Add `create_unbound_method` to create unbound methods.
* Thu Apr 16 2015 hpj@urpla.net
- first build of separated docs due to cyclic requirements of
  six and Sphinx.
